#################################################################################
##
##   R package rgarch by Alexios Ghalanos Copyright (C) 2008, 2009, 2010, 2011
##   This file is part of the R package rgarch.
##
##   The R package rgarch is free software: you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, either version 3 of the License, or
##   (at your option) any later version.
##
##   The R package rgarch is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU General Public License for more details.
##
#################################################################################

# Copula GARCH
setClass("cGARCHspec",
		representation(mspec = "vector",
				uspec = "uGARCHmultispec"),
		contains = "mGARCHspec")

setClass("cGARCHfit",
		representation(mfit = "vector",
				mspec = "vector",
				uspec = "uGARCHmultispec",
				copula = "vector",
				model = "vector"),	
		contains = "mGARCHfit")


setClass("cGARCHfilter",
		representation(mfilter = "vector",
				mspec = "vector",
				uspec = "uGARCHmultispec",
				copula = "vector",
				model = "vector"),
		contains = "mGARCHfilter")


setClass("cGARCHsim",
		representation(msim = "vector"),
		contains = "mGARCHsim")