\name{DCCspec-class}
\docType{class}
\alias{DCCspec-class}
\alias{show,DCCspec-method}
\title{class: DCC Specification Class}
\description{
The class is returned by calling the function \code{\link{dccspec}}.
}
\section{Slots}{
  \describe{
    \item{\code{mspec}:}{Multivariate specification.}
    \item{\code{uspec}:}{Univariate GARCH specification object of class \code{\linkS4class{uGARCHmultispec}}}
  }
}
\section{Extends}{
Class \code{"\linkS4class{mGARCHspec}"}, directly.
Class \code{"\linkS4class{GARCHspec}"}, by class "mGARCHspec", distance 2.
Class \code{"\linkS4class{rGARCH}"}, by class "mGARCHspec", distance 3.
}
\section{Methods}{
  \describe{
	\item{show}{\code{signature(object = "DCCspec")}: summary. }
	 }
}
\references{
Engle, R.F. and Sheppard, K. \emph{Theoretical and empirical properties of dynamic conditional 
correlation multivariate GARCH}, 2001, NBER Working Paper.\cr
}
\author{Alexios Ghalanos}

\keyword{classes}
