\name{cGARCHsim-class}
\docType{class}
\alias{cGARCHsim-class}
\alias{fitted,cGARCHsim-method}
\alias{rcor,cGARCHsim-method}
\alias{rcov,cGARCHsim-method}
\alias{show,cGARCHsim-method}
\title{class: Copula Simulation Class}
\description{
The class is returned by calling the function \code{\link{cgarchsim}}.
}
\section{Slots}{
  \describe{
    \item{\code{msim}:}{Object of class \code{"vector"} multivariate simulation list. }
  }
}
\section{Extends}{
Class \code{"\linkS4class{mGARCHsim}"}, directly.
Class \code{"\linkS4class{GARCHsim}"}, by class "mGARCHsim", distance 2.
Class \code{"\linkS4class{rGARCH}"}, by class "mGARCHsim", distance 3.
}
\section{Methods}{
  \describe{
    \item{fitted}{\code{signature(object = "cGARCHsim")}: the simulated returns. }
    \item{rcor}{\code{signature(object = "cGARCHsim")}: the simulated correlation (for DCC type) }
    \item{rcov}{\code{signature(object = "cGARCHsim")}: the simulated covariance. }
    \item{show}{\code{signature(object = "cGARCHsim")}: summary. }
	 }
}
\references{
Joe, H. \emph{Multivariate Models and Dependence Concepts}, 1997, Chapman \& Hall, London.\cr
Genest, C., Ghoudi, K. and Rivest, L. \emph{A semiparametric estimation procedure of dependence
parameters in multivariate families of distributions}, 1995, Biometrika, 82, 543-552.\cr
}
\author{Alexios Ghalanos}
\keyword{classes}